## AmtkActionMap AmtkActionMap — GActionMap wrapper functions |

## Functions

void | amtk_action_map_add_action_entries_check_dups ()

## Includes

    #include <amtk/amtk.h>

## Description

GActionMap wrapper functions.

## Functions

### amtk_action_map_add_action_entries_check_dups ()

    void
    amtk_action_map_add_action_entries_check_dups
                                   (GActionMap *action_map,
                                    const GActionEntry *entries,
                                    gint n_entries,
                                    gpointer user_data);

A wrapper function for `g_action_map_add_action_entries()` that checks duplicates.

This function first checks - for each entry - that the `action_map` doesn't already contain a GAction with the same name. A warning is printed if an old action will be dropped. In any case, it then calls `g_action_map_add_action_entries()` with the same arguments as passed to this function.

This function also checks if there are duplicates in the `entries` array itself.

#### Parameters

action_map | a GActionMap. |
entries | a pointer to the first item in an array of GActionEntry structs. | [array length=n_entries][element-type GActionEntry]
n_entries | the length of `entries` , or -1 if `entries` is `NULL`-terminated. |
user_data | the user data for signal connections. |

Since: 2.0